
ChiliProject - Feature # 358: Reassign owner of an issue

Status: Ready for review Priority: Normal
Author: Eric Davis Category: Issue tracking
Created: 2011-04-29 Assignee: Eric Davis
Updated: 2011-12-17 Due date:
Remote issue URL:
Affected version:
Description: This would let someone create an issue on behalf of another user. Best shown in an example:

# Bill asks Sam to create an issue for him because Bill is away
# Sam creates an issue and sets Bill as the Author
# Now Bill will be included in the issue as the author (notifications, assignments, etc) and Sam isn't

Patch forthcoming...

History
2011-05-09 04:24 pm - jon doctor
+1 on this feature. We have been using the change author plugin in RM, and ultimately rolled our own, to allow for this.  Great to see that it is being 
rolled into the product. Keep up the great work.

2011-05-24 04:37 pm - Eric Davis
- Status changed from Open to Ready for review

I've finished extracting and rebasing the code from a private repository. I've sent in a pull request to get some feedback on the code (it won't apply to 
unstable yet due to aaj).  Basically what I'm looking for is if this makes sense and if there is anything else that should be done before rebasing/merging 
into unstable.

I've separated and squashed the features into 3 commits:

* "edit issue authors":https://github.com/edavis10/chiliproject/commit/466e0c2c80a7680bd5480190fede6ad263b5732a
* "edit journal authors":https://github.com/edavis10/chiliproject/commit/b7f82cf5c04ef2a96e41fd083cab1c3e2b447d45
* "cleanup commit from the extraction and merge":https://github.com/edavis10/chiliproject/commit/99798e41f6616424370994bc008db7122e74a4f8

The pull request also has some comments to help explain some of the changes. https://github.com/chiliproject/chiliproject/pull/66

2011-05-24 06:34 pm - Gregor Schmidt
Sorry, that this feedback is coming so late. I should have thought about it earlier. I think this is a nice feature and there is definitely a use case for it - we 
have been asked to implement something similar (although we didn't do it yet).

I have had a quick look on your pull request and I think it adds a whole lot of complexity. It has to, I guess, but I think, it should be possible to get 
something similar with less effort and a much broader use case.

I think, the same could be achieved by:

1. Allowing the author to unwatch issues. This was discussed before and I think there was some general agreement, that it would be relatively easy to 
implement and we would get rid of some special case handling, if the author was just one of the watchers. I think, forum post currently work that way.

2. Implementing foreign key based custom fields. This way would could not only have a _enterer_ (??) and _author_, but also a _manager_, an 
_accountant_ and what not.

With these 2 ingredients, we could configure something that works just like your pull request but is applicable for even more use cases. Additionally we 
would hopefully remove complexity (at least in part 1) instead of adding it.

I hope this sounds like useful idea dropping and not like bashing your work and effort.

What do you think?

2011-05-27 03:28 pm - Eric Davis
Gregor Schmidt wrote:
> I have had a quick look on your pull request and I think it adds a whole lot of complexity. It has to, I guess, but I think, it should be possible to get 
something similar with less effort and a much broader use case.

I agree, it's a bit complex which I why I wanted some reviews. Part of that is because this code is really old and was before some of my other 
refactorings.

> With these 2 ingredients, we could configure something that works just like your pull request but is applicable for even more use cases. Additionally 
we would hopefully remove complexity (at least in part 1) instead of adding it.

Both of your ideas would be good features but I don't think they could replace this one. There is a lot of code and other things that are only looking at 
the author. Having to pull in custom fields would make things even more complex.

From a plugin developer API perspective: I'd like to easily get the author of an issue, without having to check if "Author custom field" is set and valid.

> I hope this sounds like useful idea dropping and not like bashing your work and effort.

Not at all. I'd rather get some feedback and discuss the code under review to make sure it's good enough before we commit to using it.

Another question: what part(s) of the code make it seem complex to you?

2011-08-09 10:28 am - Yuriy Cherniavsky
I realy need this feature. How can I help with integrating this feature in production ChiliProject?
_Unfortunalty I haven't know ChiliProject very well yet, that is why I can't give you any valuable feedback about your patchs_.

2011-12-11 03:24 pm - Felix Schäfer
I haven't completely followed the discussion through, but what's the status on this? Ready for review pending a rebase, or is there still more to be 
discussed?

2011-12-12 08:15 pm - Eric Davis
Needs to be rebased and will probably have to wait until 4.0. I've been getting some feedback on it from a few of my customers who are already running 
it.

2011-12-12 10:02 pm - Yuriy Cherniavsky
Excuse me, but what do you meen by 4.0?

I am waiting for this feature eagerly.

2011-12-17 10:44 pm - Eric Davis
Yuriy Cherniavsky wrote:
> Excuse me, but what do you meen by 4.0?

Version 4.0, the next major release after the one we are finishing up.
